Name:		dell-bmcflash
Version:	1.5.0
Release:	%mkrel 1
Summary:	A firmware-tools plugin to handle flash of Dell BMC
Group:		System/Kernel and hardware
License:	GPLv2+
URL:		http://linux.dell.com/libsmbios/download/ 
Source0:	http://linux.dell.com/libsmbios/download/%{name}/%{name}-%{version}/%{name}-%{version}.tar.gz
# Dell only sells Intel-compat systems, so this package doesnt make much sense
# on, eg. PPC.  Also, we rely on libsmbios, which is only avail on Intel-compat
ExclusiveArch:	x86_64 %{ix86}
Requires:	firmware-tools >= 0:1.3.0
Requires:	firmware-addon-dell >= 0:1.4.5
BuildRequires:	python-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The dell-bmcflash package provides plugins to firmware-tools which enable
inventory and firmware updates for Dell Baseboard Management Controllers (BMC)

%prep
%setup -q

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_datadir}/firmware/dell/bmc
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING-GPL COPYING-OSL README
%config(noreplace) %{_sysconfdir}/firmware/firmware.d/*.conf
%{python_sitelib}/*
%{_bindir}/*


%changelog
* Tue Feb 10 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.5.0-1mdv2009.1
+ Revision: 339278
- update to new version 1.5.0
- new license policy
- spec file clean

* Tue Jan 06 2009 Funda Wang <fundawang@mandriva.org> 1.4.1-4mdv2009.1
+ Revision: 325205
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.4.1-3mdv2009.0
+ Revision: 244027
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.4.1-1mdv2008.1
+ Revision: 140721
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Sep 10 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.1-1mdv2008.0
+ Revision: 84288
- import dell-bmcflash


* Mon Sep 10 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.1 -1mdv2008.0
- contributed by Olivier Lahaye <olivier.lahaye at free.fr>
